Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions
_TessFunctionResultCallback_0_1< del, R, A1 > Class Template Reference

`#include <tesscallback.h>`

Inheritance diagram for _TessFunctionResultCallback_0_1< del, R, A1 >:

List of all members.

## Public Types

typedef TessResultCallback1< R, A1 > | base
typedef R(* | FunctionSignature )(A1)

## Public Member Functions

| _TessFunctionResultCallback_0_1 (FunctionSignature function)
virtual R | Run (A1 a1)
Public Member Functions inherited from TessResultCallback1< R, A1 >
virtual | ~TessResultCallback1 ()

## Detailed Description

### template<bool del, class R, class A1>
class _TessFunctionResultCallback_0_1< del, R, A1 >

Definition at line 450 of file tesscallback.h.

## Member Typedef Documentation

template<bool del, class R, class A1>

typedef TessResultCallback1<R,A1> _TessFunctionResultCallback_0_1< del, R, A1 >::base

Definition at line 452 of file tesscallback.h.

template<bool del, class R, class A1>

typedef R(* _TessFunctionResultCallback_0_1< del, R, A1 >::FunctionSignature)(A1)

Definition at line 453 of file tesscallback.h.

## Constructor & Destructor Documentation

template<bool del, class R, class A1>

_TessFunctionResultCallback_0_1< del, R, A1 >::_TessFunctionResultCallback_0_1 | ( | FunctionSignature | function | ) |

inline

Definition at line 459 of file tesscallback.h.

: function_(function) {
}

## Member Function Documentation

template<bool del, class R, class A1>

virtual R _TessFunctionResultCallback_0_1< del, R, A1 >::Run | ( | A1 | a1 | ) |

inline virtual

Implements TessResultCallback1< R, A1 >.

Definition at line 464 of file tesscallback.h.

{
if (!del) {
R result = (*function_)(a1);
return result;
} else {
R result = (*function_)(a1);
// zero out the pointer to ensure segfault if used again
function_ = NULL;
delete this;
return result;
}
}

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/tesscallback.h